Get list of keywords for domain or URL (POST variant)
Same as GET /kwfinder/competitor-keywords; the parameters go in the query string. Use to get keywords that specific URL or domain is ranking for.
Limits
Each request is counted towards your Keyword lookups limit. Lookup is not counted if you make the identical request within 24 hours.
Authorization
ApiKeyAuth x-access-token<token>
API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Query Parameters
url*string
Target URL / domain / subdomain
location_id*integer
ID of location, default 0 (Anywhere).
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.mangools.com/v3/kwfinder/competitor-keywords?url=string&location_id=0"{
"url_type": "RootDomain",
"location": {
"_id": 2703,
"label": "Slovakia",
"code": "us"
},
"keywords": [
{
"_id": "005de7e7771450763339653e918778ef",
"cpc": 0.813559,
"kw": "seo solutions",
"lid": 0,
"msv": [
[
2015,
8,
590
]
],
"ppc": 15,
"seo": 13,
"seo_ts": 1590868935,
"sv": 930,
"svn": 930,
"svs": 0,
"ts": 1592997076
}
],
"totalCount": 1500,
"page": 0,
"resultsSize": 1000,
"originalItemsCount": 1500,
"isAllowedPagination": true
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}{
"error": {
"type": "InvalidInput",
"message": "Parameter url is invalid"
}
}{
"error": {
"type": "RateLimit",
"message": "Too many requests in short period. Wait retry_after seconds (also sent as the Retry-After header), then send this same request again. Send requests one at a time, not in parallel.",
"retry_after": 30
}
}